#
# spec file for package xwmfs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:          firewalld-rpcbind-helper
Requires:      python3
Recommends:    firewalld
Version:       0.1
Release:       3.1
Url:           https://github.com/mgerstner/firewalld-rpcbind-helper
Summary:       Tool for static port assignment of NFSv3, ypserv, ypbind services
License:       GPL-2.0+
Group:         Productivity/Networking/Security
Source0:       https://github.com/mgerstner/firewalld-rpcbind-helper/archive/v0.1.tar.gz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Patch:        shebang.patch

%define main_script firewall-rpc-helper.py

%description
This is a helper utility for the configuration of static NFSv3, ypserv and
ypbind network ports for use with firewalld.

%prep
%setup -q
%patch -p1 

%build
# nothing

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}
cp LICENSE README.md $RPM_BUILD_ROOT/%{_docdir}/%{name}
cp %{main_script} $RPM_BUILD_ROOT/%{_bindir}/%{main_script}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_bindir}/%{main_script}

%changelog
* Mon Apr 16 2018 matthias.gerstner@suse.com
- Require python3 and to be in line with the Leap-15 /
  SLE-15 situation (see OBS comments in sr#595722).
- shebang.patch: use python3 in shebang for the same reasons.
* Wed Apr 11 2018 matthias.gerstner@suse.com
- initial version of package
